#include <bits/stdc++.h>
#define STEF ios::sync_with_stdio(0);cin.tie(0);cout.tie(0)
#define F frist
#define S second
#define PB push_back
#define MP make_pair
#define REP(i,a,b) for(int i=a;i<b;i++)
#define ll long long
#define nl '\n'
int MOD =1000000007;
using namespace std;


int main(){
	STEF;
    ll n,k;cin>>n>>k;
    string s;cin>>s;
    if(s=="a"){
        cout<<1;
    }

	return 0;
}